## wxStaticBox

A static box is a rectangle drawn around other panel items to denote a logical grouping of items.

Please note that a static box should not be used as the parent for the controls it contains, instead they should be siblings of each other. Although using a static box as a parent might work in some versions of wxWindows, it results in a crash under, for example, wxGTK.

Derived from

wxControl
wxWindow
wxEvtHandler
wxObject

Include files

<wx/statbox.h>

Window styles

There are no special styles for this control.

See also window styles overview.

See also

wxStaticText

Members

wxStaticBox::wxStaticBox
wxStaticBox::~wxStaticBox
wxStaticBox::Create

### wxStaticBox::wxStaticBox

wxStaticBox()

Default constructor.

wxStaticBox(wxWindow* parent, wxWindowID id, const wxString& label, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticBox")

Constructor, creating and showing a static box.

Parameters

parent

Parent window. Must not be NULL.

id

Window identifier. A value of -1 indicates a default value.

label

Text to be displayed in the static box, the empty string for no label.

pos

Window position. If the position (-1, -1) is specified then a default position is chosen.

size

Checkbox size. If the size (-1, -1) is specified then a default size is chosen.

style

Window style. See wxStaticBox.

name

Window name.

See also

wxStaticBox::Create

### wxStaticBox::~wxStaticBox

void ~wxStaticBox()

Destructor, destroying the group box.

### wxStaticBox::Create

bool Create(wxWindow* parent, wxWindowID id, const wxString& label, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticBox")

Creates the static box for two-step construction. See wxStaticBox::wxStaticBox for further details.